Subject: Re: linux-next: build warning after merge of the hwmon-staging tree

From: Paul Barker <[email-masked]>
Date: Mon, 30 Nov 2020 01:14:03 +0000

On Mon, 30 Nov 2020 at 00:56, Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
>
> After merging the hwmon-staging tree, today's linux-next build (arm
> multi_v7_defconfig) produced this warning:
>
> drivers/hwmon/pwm-fan.c: In function 'pwm_fan_is_visible':
> drivers/hwmon/pwm-fan.c:167:22: warning: unused variable 'ctx' [-Wunused-variable]
>   167 |  struct pwm_fan_ctx *ctx = (struct pwm_fan_ctx *)data;
>       |                      ^~~
>
> Introduced by commit
>
>   439ed83acc19 ("hwmon: (pwm-fan) Convert to hwmon_device_register_with_info API")
>

Ah yes. I removed the code that used ctx but forgot to remove the
assignment itself. I'm surprised it didn't generate a warning for me.

I can fix it up tomorrow and send a v3 patch series.

Thanks,

-- 
Paul Barker
Konsulko Group